## notmuch-addrlookup 5

=== Makefile ===
#
# Makefile
# Adrian Perez, 2014-01-06 12:23
#

GLIB_CFLAGS := $(shell pkg-config glib-2.0 --cflags)
GLIB_LDLIBS := $(shell pkg-config glib-2.0 --libs)

OPTFLAGS ?= -O2
LDLIBS  += -lnotmuch $(GLIB_LDLIBS)
CFLAGS    = -Wall $(OPTFLAGS) $(GLIB_CFLAGS) -std=c99

all: notmuch-addrlookup

notmuch-addrlookup: notmuch-addrlookup.o

clean:
	$(RM) notmuch-addrlookup notmuch-addrlookup.o

print-cflags:
	@echo "$(CFLAGS)"

.PHONY: print-cflags

=== debian/changelog ===
notmuch-addrlookup (5-1build1) wily; urgency=medium

  * No-change rebuild for new libnotmuch

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 14 Aug 2015 10:19:12 +0100

notmuch-addrlookup (5-1) unstable; urgency=low

  * Initial release (Closes: #790873)

 -- Sophie Brun <sophie@freexian.com>  Fri, 19 Jun 2015 11:12:31 +0200

=== debian/control ===
Source: notmuch-addrlookup
Section: utils
Priority: optional
Maintainer: Sophie Brun <sophie@freexian.com>
Build-Depends: debhelper (>= 9), libnotmuch-dev, libglib2.0-dev
Standards-Version: 3.9.5
Homepage: https://github.com/aperezdc/notmuch-addrlookup-c

Package: notmuch-addrlookup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Address lookup tool for Notmuch
 This package uses the Notmuch database to output the names and e-mail
 addresses of the people you have exchanged e-mails with, most used ones
 first. This works neatly as address completer for the Notmuch Emacs
 interface.
 .
 The program works by invoking from a shell. The only argument it takes is
 a string, which is searched for in the e-mail addresses contained in the
 headers of the messages indexed by Notmuch.

## notmuch-addrlookup 8

=== debian/changelog ===
notmuch-addrlookup (8-1build1) artful; urgency=medium

  * Rebuild against new libnotmuch5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Jul 2017 13:12:23 +0200

notmuch-addrlookup (8-1) unstable; urgency=medium

  * Import new upstream release
  * Add Vcs-* fields (Closes: #868723)
  * Add a patch to build correctly with notmuch 0.25 (thanks David Bremner)
    (Closes: #868664)
  * Add the section in the TH. header of the man page
  * debian/rules: build with bindnow hardening flags
  * Upgrade Standards-Version to 4.0.0 (no change needed)

 -- Sophie Brun <sophie@freexian.com>  Wed, 19 Jul 2017 14:22:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Sophie Brun <sophie@freexian.com>
 Build-Depends: debhelper (>= 9), libnotmuch-dev, libglib2.0-dev
-Standards-Version: 3.9.5
+Standards-Version: 4.0.0
 Homepage: https://github.com/aperezdc/notmuch-addrlookup-c
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/notmuch-addrlookup.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/notmuch-addrlookup.git
 
 Package: notmuch-addrlookup
 Architecture: any

## notmuch-addrlookup 9

=== debian/changelog ===
notmuch-addrlookup (9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/rules: Remove trailing whitespaces

  [ Sophie Brun ]
  * Add a patch to fix cross build (Closes: #928880)

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 21 May 2019 14:59:19 +0200

notmuch-addrlookup (9-1) unstable; urgency=medium

  * New upstream release.
  * Move git repository to salsa.debian.org.
  * Switch to debhelper compat level 11.
  * Bump Standards-Version to 4.1.3.
  * Drop our patch, the bug has been fixed upstream.
  * Add myself to Uploaders.
  * Add a new patch to ensure we keep CFLAGS from the environment. Also add -g
    to get debug symbols.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 06 Feb 2018 18:00:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Sophie Brun <sophie@freexian.com>
-Build-Depends: debhelper (>= 9), libnotmuch-dev, libglib2.0-dev
-Standards-Version: 4.0.0
+Uploaders: Raphaël Hertzog <hertzog@debian.org>
+Build-Depends: debhelper (>= 11), libnotmuch-dev, libglib2.0-dev
+Standards-Version: 4.3.0
 Homepage: https://github.com/aperezdc/notmuch-addrlookup-c
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/notmuch-addrlookup.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/notmuch-addrlookup.git
+Vcs-Git: https://salsa.debian.org/debian/notmuch-addrlookup.git
+Vcs-Browser: https://salsa.debian.org/debian/notmuch-addrlookup
 
 Package: notmuch-addrlookup
 Architecture: any

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
https://github.com/aperezdc/notmuch-addrlookup-c/tags .*/v(.*)\.tar\.gz

## notmuch-addrlookup 10

=== Makefile ===
--- 
+++ 
@@ -12,6 +12,11 @@
 
 all: notmuch-addrlookup
 
+dist:
+	@ P=notmuch-addrlookup-$$(git describe --tag --exact-match | sed -e 's/^v//') ; \
+	git archive --prefix="$$P/" -o "$$P.tar.gz" @ ; \
+	echo "$$P.tar.gz"
+
 notmuch-addrlookup: notmuch-addrlookup.o
 
 clean:
@@ -20,5 +25,4 @@
 print-cflags:
 	@echo "$(CFLAGS)"
 
-.PHONY: print-cflags
-
+.PHONY: print-cflags dist

=== debian/changelog ===
notmuch-addrlookup (10-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:42 +1100

notmuch-addrlookup (10-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:51:36 +0000

notmuch-addrlookup (10-1) unstable; urgency=medium

  * New maintainer (Closes: #1050895)
  * New upstream version 10
    + Deprecates --mutt option
    + New --format option supporting mutt and aerc
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * manpage: change mutt example to use --format, add aerc example
  * d/watch: change to v4
  * Bump debhelper compatibility level to 13
  * d/control: Set Rules-Requires-Root to no

 -- Cédric Boutillier <boutil@debian.org>  Tue, 17 Oct 2023 15:00:31 +0200

notmuch-addrlookup (9-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sophie Brun ]
  * Orphan the package

 -- Sophie Brun <sophie@freexian.com>  Thu, 31 Aug 2023 09:15:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: notmuch-addrlookup
 Section: utils
 Priority: optional
-Maintainer: Sophie Brun <sophie@freexian.com>
-Uploaders: Raphaël Hertzog <hertzog@debian.org>
-Build-Depends: debhelper (>= 11), libnotmuch-dev, libglib2.0-dev
-Standards-Version: 4.3.0
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Cédric Boutillier <boutil@debian.org>
+Build-Depends: debhelper-compat (= 13), libnotmuch-dev, libglib2.0-dev
+Standards-Version: 4.6.2
 Homepage: https://github.com/aperezdc/notmuch-addrlookup-c
 Vcs-Git: https://salsa.debian.org/debian/notmuch-addrlookup.git
 Vcs-Browser: https://salsa.debian.org/debian/notmuch-addrlookup
+Rules-Requires-Root: no
 
 Package: notmuch-addrlookup
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
    https://github.com/aperezdc/notmuch-addrlookup-c/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
